Update group budget
curl --request PATCH \
--url https://api-v2.requesty.ai/v1/manage/group/{id}/budget \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"monthly_budget": 1000
}
'import requests
url = "https://api-v2.requesty.ai/v1/manage/group/{id}/budget"
payload = { "monthly_budget": 1000 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({monthly_budget: 1000})
};
fetch('https://api-v2.requesty.ai/v1/manage/group/{id}/budget', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}Update Group Budget
Set the group’s total monthly budget. Set monthly_budget to 0 for unlimited spending. Only available when the organization uses group budgets (group budget mode); otherwise the endpoint returns 409. Requires an API key with manage permissions.
PATCH
/
v1
/
manage
/
group
/
{id}
/
budget
Update group budget
Set the group’s total monthly budget. Set
monthly_budget to 0 for unlimited spending. Returns an empty response on success.
This is applicable only in Group Budget mode. In Global mode the endpoint returns
409 Conflict.Authorizations
API key for authentication
Path Parameters
The group ID
Body
application/json
Total monthly budget for the group in USD. Set to 0 for unlimited spending.
Example:
1000
Response
Group budget updated successfully
Last modified on August 12, 2026
Was this page helpful?
⌘I